> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transfer (beta)

> List transfers using available filters and pagination. All transfers are returned in `created_at` descending order.
## Query String Example

```
/v1/transfers/list?user_id=user_26l6ha8syVN8oqmaHaFShTxZ5RC&source=wallet_2CxAACd2h0dwzSlsqqyFLsJXCxW
```

## Returns

A successful response returns a list of transfer objects that had been executed (failed and successful). All unconfirmed and expired transfers will be considered abandoned and will not be returned in the result.



## OpenAPI

````yaml get /v1/transfers/list
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/transfers/list:
    parameters: []
    get:
      tags:
        - Transfers
      summary: List Transfer (beta)
      description: >-
        List transfers using available filters and pagination. All transfers are
        returned in `created_at` descending order.

        ## Query String Example


        ```

        /v1/transfers/list?user_id=user_26l6ha8syVN8oqmaHaFShTxZ5RC&source=wallet_2CxAACd2h0dwzSlsqqyFLsJXCxW

        ```


        ## Returns


        A successful response returns a list of transfer objects that had been
        executed (failed and successful). All unconfirmed and expired transfers
        will be considered abandoned and will not be returned in the result.
      operationId: LIstTransfer
      parameters:
        - schema:
            type: string
          in: query
          name: user_id
          description: User ID to filter the transfers by.
        - schema:
            type: string
          in: query
          name: source
          description: Unique wallet ID transfers originate from.
        - schema:
            type: string
          in: query
          description: >-
            Number of objects to return per response, must be between 10 to 100,
            defaults to 50.
          name: limit
        - schema:
            type: string
          in: query
          name: offset
          description: Number of objects to offset as part of pagination.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transfers:
                    type: object
                    properties:
                      id:
                        type: string
                      app_id:
                        type: string
                      user_id:
                        type: string
                      status:
                        type: string
                      source:
                        type: string
                      source_amount:
                        type: string
                      dest:
                        type: string
                      dest_amount:
                        type: string
                      dest_currency:
                        type: string
                      source_currency:
                        type: string
                      custom_id:
                        type: 'null'
                      total_fees:
                        type: string
                      notes:
                        type: string
                      blockchain_tx_hash:
                        type: string
                      completed_at:
                        type: integer
                      cancelled_at:
                        type: integer
                      expires_at:
                        type: integer
                      created_at:
                        type: integer
                      updated_at:
                        type: integer
                  count:
                    type: integer
                  offset:
                    type: integer
                  limit:
                    type: integer
              examples:
                ListTransferResp:
                  value:
                    transfers:
                      id: transfer_2DJGkXA70OXnUF2lNvcWKDnNswt
                      app_id: app_25ldv51seNohTaYRsxdfoxMlAa2
                      user_id: user_26l6ha8syVN8oqmaHaFShTxZ5RC
                      status: completed
                      source: wallet_2CxAACd2h0dwzSlsqqyFLsJXCxW
                      source_amount: '0.005'
                      dest: 3eiTLfEg8koaNgNMcmygm2nQ3APNNNWAyHGiooGwAziK
                      dest_amount: '0.004995'
                      dest_currency: solana
                      source_currency: solana
                      custom_id: null
                      total_fees: '0.000005'
                      notes: test
                      blockchain_tx_hash: >-
                        3LydQp2y2UGZ88dWwMPxs1j9PDthU3XHe5fRhqosZgAco2aw3uFKKpmKSPhQtqZoR95exqCyGeHrKXFDDEvuZCpt
                      completed_at: 0
                      cancelled_at: 0
                      expires_at: 1660410036
                      created_at: 1660409916
                      updated_at: 1660409925
                    count: 27
                    offset: 0
                    limit: 1
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````